/*
 * Copyright 2021 Netflix, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

dependencies {
    api("com.jayway.jsonpath:json-path")
    api("io.projectreactor:reactor-core")
    api("com.fasterxml.jackson.core:jackson-annotations")
    api(project(":graphql-dgs-subscription-types"))

    implementation("org.springframework:spring-webflux")

    implementation("org.springframework:spring-web")
    implementation("com.fasterxml.jackson.module:jackson-module-kotlin")
    implementation("com.fasterxml.jackson.datatype:jackson-datatype-jsr310")
    implementation("com.fasterxml.jackson.module:jackson-module-parameter-names")
    implementation("com.fasterxml.jackson.datatype:jackson-datatype-jdk8")
    implementation("com.graphql-java:graphql-java")

    testImplementation("org.springframework.boot:spring-boot-starter-web")
    testImplementation("org.springframework:spring-test")
    testImplementation("org.springframework.boot:spring-boot-starter-webflux")
    testImplementation("com.graphql-java:graphql-java-extended-scalars")
    testImplementation("io.projectreactor:reactor-test")
    testImplementation(project(":graphql-dgs-subscriptions-sse-autoconfigure"))
    testImplementation(project(":graphql-dgs-subscriptions-websockets-autoconfigure"))
    testImplementation(project(":graphql-dgs-spring-boot-oss-autoconfigure"))
    testImplementation(project(":graphql-dgs-spring-webmvc-autoconfigure"))
}
